## ipsec-tools 0.8.0

=== debian/changelog ===
ipsec-tools (1:0.8.0-3ubuntu1) oneiric; urgency=low

  * Merge from debian unstable (LP: #787114), remaining changes:
    - debian/control: Depend on lsb-base
  * Dropped patches, applied upstream:
    - debian/patches/fix-address-already-in-use.patch
    - fix-several-formating-errors-in-setkey-manpage.patch
  * debian/rules: switch -U_FORTIFY_SOURCE for -D_FORTIFY_SOURCE=0, bc the
    latter breaks in oneiric, claiming _FORTIFY_SOURCE is redefined.
  * Modify configure.ac to not convert -RXYZ to -Wl,-RXYZ, and regenerate
    configure.
  * debian/ipsec-tools.setkey.init: Re-write LSB init script
  * debian/racoon.init: LSB init script

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 06 Jun 2011 08:06:28 -0500

ipsec-tools (1:0.8.0-3) unstable; urgency=low

  * Apply patch from Mats Erik Andersson to fix build problems on *BSD
    This patch also addresses nat-t related issues for this arch

 -- Stefan Bauer <stefan.bauer@cubewerk.de>  Fri, 25 Mar 2011 12:29:19 +0100

ipsec-tools (1:0.8.0-2) unstable; urgency=low

  * Skip dependency on libssl-dev and move back to libssl-dev (>= 0.9.6) to
    provide an update to unstable. This will temporary remove the support for 
    camellia encryption algorithm until libssl-dev 1.x enters unstable

  * Adjust racoon-init-script (Closes: #619151)
  * Apply patch to fix build problems on *BSD
    Thanks to Mats Erik Andersson

 -- Stefan Bauer <stefan.bauer@cubewerk.de>  Wed, 23 Mar 2011 11:44:33 +0100

ipsec-tools (1:0.8.0-1) experimental; urgency=low

  * New upstream release 
        o Fix authentication method ambiguity with kerberos and xauth
        o RFC2253 compliant escaping of asn1dn identifiers (Cyrus Rahman)
        o Local address code rewrite to speed things up
        o Improved MIPv6 support (Arnaud Ebalard)
        o ISAKMP SA (phase1) rekeying
        o Improved scheduler (faster algorithm, support monotonic clock)
        o Handle RESPONDER-LIFETIME in quick mode
        o Handle INITIAL-CONTACT in from main mode too
        o Rewritten event handling framework for admin port
        o Ability to initiate IPsec SA through admin port
        o NAT-T Original Address handling (transport mode NAT-T support)
        o clean NAT-T - PFkey support
        o support for multiple anonymous remoteconfs
        o Remove various obsolete configuration options
        o A lot of other bug fixes, performance improvements and clean ups
 
   * Remove patches as they are now part of upstream release

 -- Stefan Bauer <stefan.bauer@cubewerk.de>  Mon, 21 Mar 2011 10:52:37 +0100

ipsec-tools (1:0.7.3-18) experimental; urgency=low

  * Lower the log level for racoon to notify to keep syslog clear
  * Reupload because build dir was tainted
  * Skip --enable-xauth on build, as this is covered by --enable-hybrid
 
 -- Stefan Bauer <stefan.bauer@cubewerk.de>  Fri, 11 Mar 2011 09:16:43 +0100

ipsec-tools (1:0.7.3-16) experimental; urgency=low

  * Adjust racoon init-script to handle the start with kFreeBSD kernel
    as well. Thanks to Mats Erik Andersson (Closes: #613726) 

  * Enable --with-libldap at build time
 
 -- Stefan Bauer <stefan.bauer@cubewerk.de>  Mon, 28 Feb 2011 13:21:18 +0100

ipsec-tools (1:0.7.3-15) experimental; urgency=low

  * Fix build problems on *bsd (Closes: #612676)
  * Include configuration example to tunnel with OpenBSD (Closes: #612448)
    Thanks to Mats Erik Andersson

 -- Stefan Bauer <stefan.bauer@cubewerk.de>  Thu, 10 Feb 2011 11:11:53 +0100

ipsec-tools (1:0.7.3-14) experimental; urgency=low

  * Fix build problems on *bsd
  * Include converter for plainrsa to pem file format (Closes: #612021)

 -- Stefan Bauer <stefan.bauer@cubewerk.de>  Sat, 05 Feb 2011 11:56:25 +0100

ipsec-tools (1:0.7.3-13) experimental; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * Fix typo in README-file
  * Bump Standards to 3.9.1
  * Include /usr/share/common-licenses/BSD in packages copyright file
    as base-files might drop the licenses in future versions
  * Added support for camellia encryption algorithm
  * Ship /etc/ipsec-tools.d/ with the package (Closes: #598426) 

 -- Stefan Bauer <stefan.bauer@cubewerk.de>  Wed, 26 Jan 2011 15:26:30 +0100

ipsec-tools (1:0.7.3-12ubuntu1) natty; urgency=low

  [ Lorenzo De Liso ]
  * Merge from debian unstable (LP: #681427), remaining changes:
    - debian/control: Depend on lsb-base
    - debian/ipsec-tools.setket.init: LSB init script.
    - debian/patches/fix-address-already-in-use.patch: Fix address already 
      in use. (LP: #332606)
  * Dropped changes:
    - debian/{control,rules}: add and enable hardening build for PIE
      (Debian bug 542731): fixed in debian
    - src/racoon/ipsec_doi.c: Patched to fix segfault when using
      ipv6 addresses in sainfo section of racoon.conf. Thanks to
      Fredrik Ljunggren. (LP: #374185): fixed upstream

  [ Alessio Treglia ]
  * Refresh Lorenzo's patch in order to make it apply cleanly,
    add patch header as per DEP-3 spec.
  * Refresh fix-several-formating-errors-in-setkey-manpage.patch.

 -- Lorenzo De Liso <blackz@ubuntu.com>  Wed, 24 Nov 2010 22:37:15 +0100

ipsec-tools (1:0.7.3-12) unstable; urgency=low

  * Extend racoon init-script to start after setkey (Closes: #599529)
    This fix is to allow dependency based boot sequence as it is the 
    default in squeeze. Thanks to Sebastian Bernhart for assistance.

 -- Stefan Bauer <stefan.bauer@cubewerk.de>  Sun, 10 Oct 2010 21:16:49 +0200

ipsec-tools (1:0.7.3-9) unstable; urgency=low

  * Delay the check of setkey-configuration files to speed up processing
    Idea taken from Mats Erik Andersson (Closes: #588490)

  * Include upstream patch to support iPhone OS with L2TP over IPsec
    and main mode with pre-shared keys as this is the only supported method
    by the iPhone OS. Patch supplied by John Keith Hohm 

 -- Stefan Bauer <stefan.bauer@cubewerk.de>  Thu, 12 Aug 2010 12:45:24 +0200

ipsec-tools (1:0.7.3-8ubuntu1) maverick; urgency=low

  * Merge from debian/unstable:

