=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# URL								Version	Script
version=3
http://sf.net/ipsec-tools/ipsec-tools-([0-9.]+)\.tar\.gz	debian	uupdate
