## ipsec-tools 0.8.2+20140711

=== debian/changelog ===
ipsec-tools (1:0.8.2+20140711-10build1) bionic; urgency=medium

  * No-change rebuild to pick up the shared flex library.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 Feb 2018 07:01:59 +0000

ipsec-tools (1:0.8.2+20140711-10) unstable; urgency=medium

  * Correct some memory management errors leading to compilation failure due to
    failed format-truncation gcc checks. (Closes: 853457)

 -- Noah Meyerhans <noahm@debian.org>  Thu, 24 Aug 2017 21:51:40 -0700

ipsec-tools (1:0.8.2+20140711-9) unstable; urgency=medium

  * Import NetBSD's patch to address CVE-2016-10396 (Closes: #867986)
  * Update to debhelper compat level 10
  * Update to policy 4.0 compliance.

 -- Noah Meyerhans <noahm@debian.org>  Wed, 26 Jul 2017 22:56:33 -0700

ipsec-tools (1:0.8.2+20140711-8) unstable; urgency=medium

  * Depend on libfl-dev to follow flex changes (Closes: #846430)

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 01 Dec 2016 09:49:16 +0000

ipsec-tools (1:0.8.2+20140711-7) unstable; urgency=medium

  * Build against libssl1.0-dev for stretch. (Closes: #828354)
    Patch from Adrian Bunk <bunk@stusta.de>, thanks.

 -- Christian Hofstaedtler <zeha@debian.org>  Sat, 12 Nov 2016 20:08:35 +0000

ipsec-tools (1:0.8.2+20140711-6) unstable; urgency=medium

  [ Felipe Sateler ]
  * Add systemd unit for setkey (Closes: #796619)

  [ Christian Hofstaedtler ]
  * Bump Standards-Version to 3.9.8 (no changes needed)

 -- Christian Hofstaedtler <zeha@debian.org>  Wed, 15 Jun 2016 07:48:10 +0000

ipsec-tools (1:0.8.2+20140711-5) unstable; urgency=medium

  * Fix FTBFS with glibc 2.21 due to _BSD_SOURCE being deprecated and the
    build system treating all warnings as errors. (Closes: #790244)

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 17 Jan 2016 08:57:49 +0000

ipsec-tools (1:0.8.2+20140711-4) unstable; urgency=medium

  * Fix FTBFS with gcc 5 due to unspecified parameter type in xauth_reply,
    src/racoon/isakmp_xauth.c (Closes: 777918)

 -- Noah Meyerhans <noahm@debian.org>  Fri, 26 Jun 2015 09:38:42 -0700

ipsec-tools (1:0.8.2+20140711-3) unstable; urgency=medium

  * Fix null pointer dereference leading to a possible crash and
    denial of service attack. (Closes: 785778)

 -- Noah Meyerhans <noahm@debian.org>  Wed, 20 May 2015 10:46:55 -0700

ipsec-tools (1:0.8.2+20140711-2) unstable; urgency=low

  * Stop using hardening-wrapper
  * Import patch for checkpoint xauth. (Closes: 650176)
  * Bump standards version to 3.9.6 (no changes)

 -- Noah Meyerhans <noahm@debian.org>  Mon, 13 Oct 2014 22:55:01 -0700

ipsec-tools (1:0.8.2+20140711-1) unstable; urgency=medium

  * Repackage upstream release 0.8.2 for real. Previous releases were
    based on an incomplete import and were essentially 0.8.0.
  * Remove patch debian/patches/gcc-4.8.diff, which has been incorportated
    upstream.
  * Remove patch debian/patches/patch-to-support-cast128, which has
    been incorportated upstream.
  * Import patch for x509 IPv6 literal address subjectAltName support from
    Adam Majer <adamm@zombino.com> (Closes: #738573)

 -- Noah Meyerhans <noahm@debian.org>  Fri, 11 Jul 2014 00:52:38 -0700

ipsec-tools (1:0.8.2-4) unstable; urgency=medium

  * Fix newly introduced FTBFS on kFreeBSD.
    The previous patch defined __USE_GNU in a fragile way, but as we're
    really on a glibc platform, we can just define _GNU_SOURCE, similar
    to what is done on Linux.
  * Refresh patch "configure-pass-Wl-with-R"

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 29 Jun 2014 15:08:07 +0200

ipsec-tools (1:0.8.2-3) unstable; urgency=medium

  * Update patch gcc-4.8.diff.
    As per NetBSD CVS, the memset is unneeded after (racoon_)calloc().
  * Support building with automake 1.14.
    Set required options to restore old automake behavior, and run
    autoreconf during build. Removed patches to configure, removed
    explicit rpath setting and chrpath. Dropped superfluous symbols
    files, as we are not a library package and these were probably
    added by accident.
  * Only use UTF8 encoding in ASN.1 strings.
    This is recommended by RFC2459 (2004), and has been made the default in
    OpenSSL 1.0.1h. Fixes the FTBFS caused by the OpenSSL change.
    (Closes: #752946)
  * Add myself to Uploaders
  * Set Vcs-Git to a git:// URL

 -- Christian Hofstaedtler <zeha@debian.org>  Sat, 28 Jun 2014 18:15:39 +0200

ipsec-tools (1:0.8.2-2) unstable; urgency=low

  * Fix FTBFS on kfreebsd.

 -- Noah Meyerhans <noahm@debian.org>  Thu, 08 May 2014 23:58:14 -0700

ipsec-tools (1:0.8.2-1) unstable; urgency=medium

  * New upstream release 0.8.2
  * Add a systemd unit file for racoon.
  * Update maintainer and VCS details in debian/control.
  * Update standards compliance to 3.9.5 (no changes)
  * Update config.{sub,guess} (Closes: 727294)
  * Add dependency on lsb-base for /lib/lsb/init-functions (Closes: 695074)
  * Update Dutch debconf translation (Closes: #692817)
  * Update Japanese debconf translation (Closes: #715193)

 -- Noah Meyerhans <noahm@debian.org>  Sun, 27 Apr 2014 22:40:37 -0700

ipsec-tools (1:0.8.0-14.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-4.8":
    add patch from Ubuntu / Matthias Klose, which dereferences argument to
    'sizeof' in 'memset'
    (Closes: #701299)

 -- gregor herrmann <gregoa@debian.org>  Sat, 23 Nov 2013 20:39:37 +0100

ipsec-tools (1:0.8.0-14) unstable; urgency=low

  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project.  Kudos to Christian 
    Perrier <bubulle@debian.org> for organising this.  Closes: #677713
  * [Debconf translation updates]
  * Russian (Yuri Kozlov).  Closes: #679732
  * Italian (Luca Monducci).  Closes: #679743
  * Slovak (Ivan Masár).  Closes: #679808
  * Danish (Joe Hansen).  Closes: #680068
  * Portuguese (Américo Monteiro).  Closes: #680131
  * German (Erik Pfannenstein).  Closes: #680295
  * French (Jean-Christope GARNIER).  Closes: #680270

